> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get backup details

> Returns a single backup info.



## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backups/{backupId}
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backups/{backupId}:
    get:
      tags:
        - Backup
      summary: Get backup details
      description: Returns a single backup info.
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the backup.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the service the backup was created from.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: backupId
          description: ID of the requested backup.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Backup'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    Backup:
      properties:
        id:
          description: Unique backup ID.
          type: string
          format: uuid
        status:
          description: 'Status of the backup: ''done'', ''error'', ''in_progress''.'
          type: string
          enum:
            - done
            - error
            - in_progress
        serviceId:
          description: 'Name '
          type: string
        startedAt:
          description: Backup start timestamp. ISO-8601.
          type: string
          format: date-time
        finishedAt:
          description: >-
            Backup finish timestamp. ISO-8601. Available only for finished
            backups
          type: string
          format: date-time
        sizeInBytes:
          description: Size of the backup in bytes.
          type: number
        durationInSeconds:
          description: >-
            Time in seconds it took to perform the backup. If the status still
            in_progress, this is the time in seconds since the backup started
            until now.
          type: number
        type:
          description: Backup type ("full" or "incremental").
          type: string
          enum:
            - full
            - incremental
        backupName:
          description: Backup name on the external backup bucket.
          type: string
        bucket:
          description: Backup bucket where the backup is stored.
          oneOf:
            - $ref: '#/components/schemas/AwsBackupBucketProperties'
            - $ref: '#/components/schemas/GcpBackupBucketProperties'
            - $ref: '#/components/schemas/AzureBackupBucketProperties'
    AwsBackupBucketProperties:
      properties:
        bucketProvider:
          description: Bucket provider
          type: string
          enum:
            - AWS
        bucketPath:
          description: Bucket path
          type: string
        iamRoleArn:
          description: AWS IAM Role
          type: string
        iamRoleSessionName:
          description: AWS IAM Role
          type: string
    GcpBackupBucketProperties:
      properties:
        bucketProvider:
          description: Bucket provider
          type: string
          enum:
            - GCP
        bucketPath:
          description: Bucket path
          type: string
        accessKeyId:
          description: Access Key ID (HMAC key)
          type: string
    AzureBackupBucketProperties:
      properties:
        bucketProvider:
          description: Bucket provider
          type: string
          enum:
            - AZURE
        containerName:
          description: Container Name
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````